Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Interface RegistryServerDetector

    public interface RegistryServerDetector

Method Summary
`List` | `getRegistryScanKeys()` Get the list of registry keys to scan.
`List` | `getServerResources(org.hyperic.util.config.ConfigResponse platformConfig, String path, org.hyperic.sigar.win32.RegistryKey current)` Performs all the actual server (and service) detection for servers detected through a WindowsRegistryScan.

Method Detail

### getServerResources

    List getServerResources(org.hyperic.util.config.ConfigResponse platformConfig,
                            String path,
                            org.hyperic.sigar.win32.RegistryKey current)
                            throws PluginException

  Performs all the actual server (and service) detection for servers detected through a WindowsRegistryScan.

  Parameters:
    `platformConfig` - TODO
    `path` - The full path to the Windows registry key
  Returns:
    A List of ServerResource objects representing the servers that were found in the registry entry. It is possible for multiple servers to be in a single entry, although it is unusual. If the registry entry being scanned is the CurrentControlSet, then only a single server can be found in the entry, although the AI code does not enforce this requirement. This method should return null if no servers were found.
  Throws:
    `PluginException` - If an error occured during server detection.

### getRegistryScanKeys

    List getRegistryScanKeys()

  Get the list of registry keys to scan.

  Returns:
    A list of registry keys at which to start the scan.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.